Package org.springframework.security.config.annotation.authentication.configurers.ldap

# Class LdapAuthenticationProviderConfigurer.PasswordCompareConfigurer

java.lang.Object
org.springframework.security.config.annotation.authentication.configurers.ldap.LdapAuthenticationProviderConfigurer.PasswordCompareConfigurer

Enclosing class:
  LdapAuthenticationProviderConfigurer<B extends ProviderManagerBuilder<B>>

public final class LdapAuthenticationProviderConfigurer.PasswordCompareConfigurer extends Object
Sets up Password based comparison

## Method Summary

Modifier and Type
Method
Description
`LdapAuthenticationProviderConfigurer<B>`
`and()`
Allows obtaining a reference to the `LdapAuthenticationProviderConfigurer` for further customizations
`LdapAuthenticationProviderConfigurer<B>.PasswordCompareConfigurer`
`passwordAttribute(String passwordAttribute)`
The attribute in the directory which contains the user password.
`LdapAuthenticationProviderConfigurer<B>.PasswordCompareConfigurer`
`passwordEncoder(org.springframework.security.crypto.password.PasswordEncoder passwordEncoder)`
Allows specifying the `PasswordEncoder` to use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### passwordEncoder

public LdapAuthenticationProviderConfigurer<B>.PasswordCompareConfigurer passwordEncoder(org.springframework.security.crypto.password.PasswordEncoder passwordEncoder)
Allows specifying the `PasswordEncoder` to use. The default is `NoOpPasswordEncoder`.

Parameters:
  `passwordEncoder` - the `PasswordEncoder` to use
Returns:
  the `LdapAuthenticationProviderConfigurer<B extends ProviderManagerBuilder<B>>.PasswordCompareConfigurer` for further customizations

### passwordAttribute

public LdapAuthenticationProviderConfigurer<B>.PasswordCompareConfigurer passwordAttribute(String passwordAttribute)
The attribute in the directory which contains the user password. Defaults to "userPassword".

Parameters:
  `passwordAttribute` - the attribute in the directory which contains the user password
Returns:
  the `LdapAuthenticationProviderConfigurer<B extends ProviderManagerBuilder<B>>.PasswordCompareConfigurer` for further customizations

### and

public LdapAuthenticationProviderConfigurer<B> and()
Allows obtaining a reference to the `LdapAuthenticationProviderConfigurer` for further customizations

Returns:
  attribute in the directory which contains the user password